GCLOUD_PROJECTS_SET-IAM-POLICY(1)

NAME

gcloud projects set-iam-policy - set IAM policy for a project

SYNOPSIS

gcloud projects set-iam-policy PROJECT_ID POLICY_FILE [GLOBAL-FLAG ...]

DESCRIPTION
Sets the IAM policy for a project, given a project ID and a file encoded in JSON or YAML that contains the IAM policy.

POSITIONAL ARGUMENTS

    PROJECT_ID
        ID for the project you want to set IAM policy for.

    POLICY_FILE
        JSON or YAML file with the IAM policy

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command reads an IAM policy defined in a JSON file policy.json and sets it for a project with the ID example-project-id-1:
    $ gcloud projects set-iam-policy example-project-id-1 policy.json